/* This file is Copyright 2000 Level Control Systems.  See the included LICENSE.txt file for details. */  

#include <stdio.h>

#include "string/PortableString.h"

#define TEST(x) if (!(x)) printf("Test failed, line %i\n",__LINE__)

// This program exercises the PortableString class.
void main(void) 
{
   for (int i=0; i<10000; i++)
   {
      PortableString t("hello");
      t += "there";
      t += "dude";
      t += "what's up?";
      t = t.Substring(0,4);
      printf("t=[%s]\n", t.Cstr());
   }
}
